### Class

# Gtk CenterLayout

#### Description [src]

    final class Gtk.CenterLayout : Gtk.LayoutManager
    {
      /* No available fields */
    }

Manages up to three children.

The start widget is allocated at the start of the layout (left in left-to-right locales and right in right-to-left ones), and the end widget at the end.

The center widget is centered regarding the full width of the layout’s.

#### Ancestors

- GtkLayoutManager
- GObject

#### Constructors

###### gtk_center_layout_new

Creates a new `GtkCenterLayout`.

#### Instance methods

###### gtk_center_layout_get_baseline_position

Returns the baseline position of the layout.

###### gtk_center_layout_get_center_widget

Returns the center widget of the layout.

###### gtk_center_layout_get_end_widget

Returns the end widget of the layout.

###### gtk_center_layout_get_orientation

Gets the current orienration of the layout manager.

###### gtk_center_layout_get_shrink_center_last

Gets whether `self` shrinks the center widget after other children.

since: 4.12

###### gtk_center_layout_get_start_widget

Returns the start widget of the layout.

###### gtk_center_layout_set_baseline_position

Sets the new baseline position of `self`.

###### gtk_center_layout_set_center_widget

Sets the new center widget of `self`.

###### gtk_center_layout_set_end_widget

Sets the new end widget of `self`.

###### gtk_center_layout_set_orientation

Sets the orientation of `self`.

###### gtk_center_layout_set_shrink_center_last

Sets whether to shrink the center widget after other children.

since: 4.12

###### gtk_center_layout_set_start_widget

Sets the new start widget of `self`.

##### Methods inherited from GtkLayoutManager (6)

###### gtk_layout_manager_allocate

Assigns the given `width`, `height`, and `baseline` to a `widget`, and computes the position and sizes of the children of the `widget` using the layout management policy of `manager`.

###### gtk_layout_manager_get_layout_child

Retrieves a `GtkLayoutChild` instance for the `GtkLayoutManager`, creating one if necessary.

###### gtk_layout_manager_get_request_mode

Retrieves the request mode of `manager`.

###### gtk_layout_manager_get_widget

Retrieves the `GtkWidget` using the given `GtkLayoutManager`.

###### gtk_layout_manager_layout_changed

Queues a resize on the `GtkWidget` using `manager`, if any.

###### gtk_layout_manager_measure

Measures the size of the `widget` using `manager`, for the given `orientation` and size.

##### Methods inherited from GObject (43)

Please see GObject for a full list of methods.

#### Properties

###### Gtk.CenterLayout:shrink-center-last

Whether to shrink the center widget after other children.

since: 4.12

#### Signals

##### Signals inherited from GObject (1)

###### GObject::notify

The notify signal is emitted on an object when one of its properties has its value set through g_object_set_property(), g_object_set(), et al.

#### Class structure

    struct GtkCenterLayoutClass {
      GtkLayoutManagerClass parent_class;

    }

No description available.

###### Class members

`parent_class: GtkLayoutManagerClass`

  No description available.